1. Authentication
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Authentication

Authentication Token

POST
/auth/token
Authenticate an API client and issue a JWT Bearer token. Use the returned token in the Authorization: Bearer <token> header for all subsequent API requests. Token expires in 30 minutes.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Token issued successfully
Bodyapplication/json

🔴500Error
🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/auth/token' \
--header 'Content-Type: application/json' \
--data '{
    "appId": "your_app_id",
    "appSecret": "your_app_secret"
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "token": "string",
        "expireTime": "string"
    }
}
Modified at 2026-05-27 09:45:53
Previous
Authentication
Next
Global Account
Built with